
%global _without_python2 1

Name:           libewf
Version:        20140608
Release:    1%{?dist}
Summary:        Library for the Expert Witness Compression Format (EWF)

License:        LGPLv3+
URL:            http://sourceforge.net/projects/libewf/
Source0:        https://53efc0a7187d0baa489ee347026b8278fe4020f6.googledrive.com/host/0B3fBvzttpiiSMTdoaVExWWNsRjg/%{name}-%{version}.tar.gz
Patch0:         libewf-ewfoutput-openssl3.diff


BuildRequires: make
BuildRequires:  gcc-c++
BuildRequires:  fuse-devel
BuildRequires:  libuuid-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
%if 0%{?_with_python2}
BuildRequires:  python2-devel
%endif


%description
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01). 
Libewf allows you to read and write media information within the EWF files.


%package -n     ewftools
Summary:        Utilities for the Expert Witness Compression Format (EWF)
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-tools = %{version}-%{release}
%if 0%{?_with_python2}
Requires:       python2-fuse >= 0.2
%endif

%description -n ewftools
Several tools for reading and writing EWF files.
It contains tools to acquire, verify and export EWF files.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       zlib-devel
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
%configure --disable-static \
  --enable-wide-character-type \
%if 0%{?_with_python2}
  --enable-python \
%endif
%if "%{version}" <= "20140608"
  CFLAGS="${RPM_OPT_FLAGS} -std=gnu89"
%endif

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'





%files
%doc AUTHORS NEWS
%license COPYING
%{_libdir}/*.so.*

%files -n ewftools
%{_bindir}/ewf*
%{_mandir}/man1/*.gz
%if 0%{?_with_python2}
%{python2_sitearch}/pyewf.so
%endif

%files devel
%{_includedir}/libewf.h
%{_includedir}/libewf/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libewf.pc
%{_mandir}/man3/*.gz

%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20140608-1
- initial build
